package com.tzld.piaoquan.ad.engine.commons.base;


import lombok.Data;

@Data
public class RequestContextBytesFeature {
    private final byte[] apptype;
    private final byte[] machineinfo_brand;
    private final byte[] machineinfo_model;
    private final byte[] machineinfo_platform;
    private final byte[] machineinfo_sdkversion;
    private final byte[] machineinfo_system;
    private final byte[] machineinfo_wechatversion;

    // 时间等信息
    private final byte[] day;
    private final byte[] week;
    private final byte[] hour;
    private final byte[] region;
    private final byte[] city;

    // position 等信息
    private final byte[] headVideoId;
    private final byte[] pageSource;

    // position 信息
    private final byte[] ownAdPositionId;


    public RequestContextBytesFeature(RequestContext requestContext) {
        apptype = requestContext.getApptype().getBytes();
        machineinfo_brand = requestContext.getMachineinfoBrand().getBytes();
        machineinfo_model = requestContext.getMachineinfoModel().getBytes();
        machineinfo_platform = requestContext.getMachineinfoPlatform().getBytes();
        machineinfo_sdkversion = requestContext.getMachineinfoSdkversion().getBytes();
        machineinfo_system = requestContext.getMachineinfoSystem().getBytes();
        machineinfo_wechatversion = requestContext.getMachineinfoWechatversion().getBytes();

        day = requestContext.getDay().getBytes();
        week = requestContext.getWeek().getBytes();
        hour = requestContext.getHour().getBytes();
        region = requestContext.getRegion().getBytes();
        city = requestContext.getCity().getBytes();


        headVideoId = requestContext.getHeadVideoId().getBytes();
        pageSource = requestContext.getPageSource().getBytes();
        ownAdPositionId = requestContext.getOwnAdPositionId().getBytes();


    }


}
